/*-
 * ~~~~~~licensing~~~~~~
 * artifact-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.artifact.repository.impl;

public class RepositoryDescriptor {

	protected String name;
	String location;
	String url;
	boolean isProxy;
	boolean isMirror;
	String remotes;
	boolean isReadOnly = false;
	boolean copyOnChange;
	String username = "";
	String password = "";
	
	boolean isSnapshots = false;
	
	boolean isEnabled = true;
	
	String remoteHostSuffix = "";
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public boolean isProxy() {
		return isProxy;
	}

	public void setProxy(boolean isProxy) {
		this.isProxy = isProxy;
	}

	public boolean isMirror() {
		return isMirror;
	}

	public void setMirror(boolean isMirror) {
		this.isMirror = isMirror;
	}

	public boolean isSnapshots() {
		return isSnapshots;
	}

	public void setSnapshots(boolean isSnapshots) {
		this.isSnapshots = isSnapshots;
	}

	public String getRemotes() {
		return remotes;
	}

	public void setRemotes(String remotes) {
		this.remotes = remotes;
	}

	public boolean isReadOnly() {
		return isReadOnly;
	}

	public void setReadOnly(boolean isReadOnly) {
		this.isReadOnly = isReadOnly;
	}

	public boolean isCopyOnChange() {
		return copyOnChange;
	}

	public void setCopyOnChange(boolean copyOnChange) {
		this.copyOnChange = copyOnChange;
	}

	public boolean isEnabled() {
		return isEnabled;
	}

	public void setEnabled(boolean isEnabled) {
		this.isEnabled = isEnabled;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getRemoteHostSuffix() {
		return remoteHostSuffix;
	}

	public void setRemoteHostSuffix(String remoteHostSuffix) {
		this.remoteHostSuffix = remoteHostSuffix;
	}
	
}
